
/*--------------------------------
header
--------------------------------*/
.header {
	width: 100%;
	height: 80px;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 10;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
	color: #fff;
	border-bottom: 1px solid;
	transition: 0.6s ease-out;
}
@media (max-width: 767px) {
	.header {
		height: 50px;
	}
}
.in-scroll .header {
	background: #fff;
	color: #000;
}
.header .logo {
	margin-left: 16px;
	width: 210px;
	height: 46px;
	display: block;
	background: url(../images/logo-oya-wh.svg) no-repeat center center;
	background-size: contain;
}
@media (max-width: 767px) {
	.header .logo {
		width: 150px;
	}
}
.header .logo a::after {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	content: "";
	background: url(../images/logo-oya-color.svg) no-repeat center center;
	background-size: contain;
	opacity: 0;
	transition: opacity 0.6s ease-out;
}
.in-scroll .header .logo a::after {
	opacity: 1;
}
.is-open .header .logo {
	opacity: 0;
	pointer-events: none;
}
.is-open .header {
	border-color: transparent;
	background-color: transparent;
	pointer-events: none;
}

.logo a {
	height: 100%;
	display: block;
	position: relative;
	text-indent: 100%;
	white-space: nowrap;
	overflow: hidden;
}

.global-nav {
	height: 100%;
	flex-wrap: nowrap;
}
.global-nav .font-figtree {
	font-size: 1.4rem;
}
.global-nav .font-ja {
	font-size: 1.2rem;
}

.gnav {
	margin-right: 32px;
}
@media (max-width: 991px) {
	.gnav {
		display: none;
	}
}
.is-open .gnav {
	opacity: 0;
	pointer-events: none;
}

.gnav-link {
	padding: 0 32px;
	height: 100%;
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 4px;
	justify-content: center;
	overflow: hidden;
}
@media screen and (max-width: 1120px) {
	.gnav-link {
		padding: 0 16px;
	}
}
.gnav-link::after {
	height: 3px;
	width: 100%;
	position: absolute;
	bottom: 0;
	content: "";
	background-color: #fff;
	transform: translateX(-100%);
	transition: transform 0.4s cubic-bezier(0.85, 0, 0.15, 1);
}
.in-scroll .gnav-link::after {
	background-color: #302d83;
}
.gnav-link:hover::after {
	transform: translateX(0);
}

.header-btn {
	padding: 0 32px;
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	gap: 4px;
	border-left: 1px solid;
	transition: 0.4s cubic-bezier(0.33, 1, 0.68, 1);
}
.header-btn:hover {
	background-color: #000;
	color: #fff;
}
.is-open .header-btn {
	opacity: 0;
	pointer-events: none;
}

.hamburger {
	aspect-ratio: 1/1;
	height: 100%;
	display: flex;
	gap: 7px;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	border-left: 1px solid;
	transition: 0.4s cubic-bezier(0.33, 1, 0.68, 1);
}
.hamburger i {
	width: 24px;
	height: 1px;
	display: block;
	content: "";
	background: #fff;
	transition: 0.4s cubic-bezier(0.33, 1, 0.68, 1);
}
.in-scroll .hamburger i, .is-open .hamburger i {
	background: #000;
}
.is-open .hamburger i:nth-child(1) {
	transform: translateY(8px) rotate(45deg);
}
.is-open .hamburger i:nth-child(2) {
	opacity: 0;
}
.is-open .hamburger i:nth-child(3) {
	transform: translateY(-8px) rotate(-45deg);
}
.hamburger:hover {
	background-color: #000;
}
.hamburger:hover i {
	background-color: #fff;
}
.is-open .hamburger {
	border-color: transparent;
	pointer-events: all;
}

.is-open {
	overflow: hidden;
	height: 100%;
}

.drawer {
	padding: calc(80px + 3vw) 10vw 10vw;
	position: fixed;
	inset: 0;
	z-index: 9;
	pointer-events: none;
	background-color: rgba(255, 255, 255, 0.98);
	opacity: 0;
	transition: opacity 0.4s cubic-bezier(0.85, 0, 0.15, 1);
	overflow-y: auto;
}
.is-open .drawer {
	pointer-events: all;
	opacity: 1;
	transition: opacity 0.4s cubic-bezier(0.85, 0, 0.15, 1);
}

.drawer-nav {
	margin: 0 auto;
	max-width: 800px;
}

.drawer-nav-container {
	display: grid;
	gap: 16px;
	grid-template-columns: repeat(2, 1fr);
	line-height: 1.6;
}

.dnav-link {
	height: 100%;
	max-width: 250px;
	display: block;
	position: relative;
	font-size: 2rem;
	overflow: hidden;
}
.dnav-link::after {
	height: 2px;
	width: 100%;
	display: block;
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	background: #000;
	transform: translateX(-100%);
	transition: transform 0.4s cubic-bezier(0.85, 0, 0.15, 1);
}
.dnav-link:hover::after {
	transform: translateX(0);
}

.office-info {
	margin: 40px 0 16px;
	padding: 16px 0;
	grid-column: span 2;
	border-bottom: 1px solid #ccc;
	line-height: 1.7;
}
.office-info .is-bold {
	font-size: 120%;
}
@media (max-width: 767px) {
	.office-info {
		margin: 32px 0 8px;
	}
}

@media (max-width: 767px) {
	.dnav-sub-list {
		grid-column: span 2;
	}
}
.dnav-sub-list a {
	transition: opacity 0.3s ease-out;
}
.dnav-sub-list a:hover {
	opacity: 0.7;
}

/*--------------------------------
footer
--------------------------------*/
.footer {
	background-color: #46443c;
	color: #fff;
}

.sns-group {
	height: 100%;
	padding: 0 32px;
	position: relative;
	fill: #fff;
	align-items: center;
}
.sns-group::before {
	width: 1px;
	position: absolute;
	left: -24px;
	top: -8px;
	bottom: -8px;
	content: "";
	background: rgba(255, 255, 255, 0.4);
	transform: rotate(30deg);
}
@media (max-width: 767px) {
	.sns-group {
		padding: 0 24px 0;
		justify-content: center;
	}
	.sns-group::before {
		display: none;
	}
}



.tel-btn {
	min-width: 15vw;
	font-size: 2rem;
}

.contact-btn {
	min-width: 15vw;
	font-size: 1.8rem;
}

.icon-tel {
	fill: #908f8a;
	display: grid;
}

.icon-pagetop {
	fill: #fff;
}

@media (max-width: 767px) {
	.contact-btn,
	.tel-btn {
		width: 80%;
		height: 50px;
		max-width: 300px;
		border: 1px solid rgba(255, 255, 255, 0.4);
		color: #fff;
		border-radius: 40px;
	}
}
.fnav {
	padding: 48px 24px;
	gap: 16px min(3.7vw, 64px);
	font-size: 1.4rem;
}
@media (max-width: 767px) {
	.fnav {
		padding: 0;
		gap: 0;
		display: grid;
		grid-template-columns: 1fr 1fr;
	}
	.fnav .fnav-link {
		display: block;
		padding: 24px;
	}
}

.footer-sub-nav {
	border-top: 1px solid rgba(255, 255, 255, 0.1);
}
@media (max-width: 767px) {
	.footer-sub-nav {
		border-top: none;
	}
}

.fnav-sub {
	padding: 24px 24px;
	gap: min(3.7vw, 64px);
	font-size: 1.2rem;
}
@media (max-width: 767px) {
	.fnav-sub {
		padding: 0;
		gap: 0;
		display: grid;
		grid-template-columns: 1fr;
	}
	.fnav-sub .fnav-link {
		display: block;
		padding: 20px 24px;
	}
}

@media (max-width: 767px) {
	#page-top {
		position: fixed;
		right: 0;
		bottom: 0;
		width: 50px;
		height: 50px;
		border: 0;
	}
}
.footer-meta {
	background: #ececeb;
	color: #000;
}

.footer-meta-nav {
	margin-bottom: 16px;
}

.meta-fnav {
	padding: 16px 0;
	font-size: 1.2rem;
	line-height: 1.4;
}

.meta-logo {
	width: 270px;
	text-align: center;
}
@media (max-width: 767px) {
	.meta-logo {
		width: 200px;
		text-align: left;
	}
}

.footer-meta-info {
	width: 380px;
}
.footer-meta-info .is-bold {
	margin-bottom: 8px;
	font-size: 1.6rem;
}

.outline {
	font-size: 1rem;
	line-height: 1.6;
}

.copyright {
	padding: 16px;
	font-size: 1rem;
	font-style: normal;
	line-height: 1.6;
}